
Foreman - Bug #4348

Host group parameters tab doesn't show inherited parameters

02/14/2014 03:43 PM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When viewing the parameters tab of a child/nested host group, the parameters inherited from the parent host group aren't shown.  

("Global" parameters, not smart class parameters.)

Related issues:

Is duplicate of Foreman - Bug #4596: cannot change parent of hostgroup Closed 03/08/2014

Blocks Foreman - Tracker #4470: Usability of parameters and overrides New

History

#1 - 07/09/2014 02:30 PM - David Patterson

I'd like to put in my vote to have this fixed, please :)

#2 - 07/10/2014 03:07 AM - Dominic Cleal

- Blocks Tracker #4470: Usability of parameters and overrides added

#3 - 10/05/2014 06:48 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#4 - 10/05/2014 08:27 AM - Ori Rabin

- Status changed from Assigned to Need more information

Can I get an example?

if I add a smart variable to a puppetclass that is inherited it will appear in the child hostgroup.

if I add a global parameter to a hostgroup it will appear in the child hostgroup.

what isn't inherited correctly?

#5 - 10/06/2014 03:56 AM - Dominic Cleal

- Is duplicate of Bug #4596: cannot change parent of hostgroup added

#6 - 10/06/2014 03:57 AM - Dominic Cleal

- Status changed from Need more information to Duplicate

Fixed via #4596 for Foreman 1.7.0.
